<?xml version="1.0" encoding="UTF-8"?>
<tables>
  <table name="t_element" schema="square">
  	<variable name="pk" type="int generated always as identity" comment="unique element id" />
    <variable name="fk_parent" type="integer" isnull="true" comment="reference to element id of parent element" />
    <variable name="translation" type="jsonb" isnull="true" comment="translation in json format {isocode1: translation1, ...}" />
		<variable name="fk_privilege" type="integer" isnull="true" comment="privilege for this key" />
		<variable name="name" type="text" isnull="true" comment="name of variable" />
		<variable name="order_nr" type="integer" isnull="true" comment="order in hierarchy on same level" />
    <variable name="unique_name" type="text" comment="unique name" />
    <variable name="fk_missinglist" type="integer" isnull="true" comment="missing list on this section" />
    <primarykey name="pk_element" variable="pk" />
    <unique name="uk_element_un" variable="unique_name" />
    <foreignkey name="fk_element_parent" variable="fk_parent" references="square.t_element(pk)" />
    <foreignkey name="fk_element_privilege" variable="fk_privilege" references="square.t_privilege(pk)" />
		<foreignkey name="fk_element_missinglist" variable="fk_missinglist" references="square.t_missinglist(pk)" />
    <index name="idx_element_parent" variable="fk_parent" />
    <grant privilege="select,insert,update,delete" username="interface_square" />
    <grant privilege="select" username="interface_rserver" />
    <grant privilege="select,insert,update,delete" username="interface_rserver" />
  </table>
</tables>
